<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('timeseries_key_master', function (Blueprint $table) {
            $table->id();
            $table->uuid('device_profile_xid');
            $table->string('key_name');
            $table->string('display_name');
            $table->tinyInteger('display_on_dashboard')->default(0);
            $table->tinyInteger('display_on_popup')->default(0);
            $table->timestamps();                           
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('timeseries_key_master');
    }
};
